package cn.quantgroup.xyqb.entity;


import cn.quantgroup.xyqb.entity.baseEntity.OptimisticEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Created with IntelliJ IDEA.
 *
 * @author: Li JianHua
 * @Date: 2021/9/23
 * @Time: 11:02
 * Description: No Description
 */
@Entity
@Table(name = "sms_template")
public class SmsTemplateEntity extends OptimisticEntity implements Serializable {

    private final static String CLASS_NAME = SmsTemplateEntity.class.getSimpleName();
    private static final long serialVersionUID = -190846609680723652L;

    @Id
    @Column(name = "ID", nullable = false)
    private long id;

    @Column(name = "CLIENT_ID", nullable = false)
    private long clientId;

    @Column(name = "TYPE", nullable = false, updatable = false, length = 11)
    private String type;

    @Column(name = "MERCHANT_ID", nullable = false, updatable = false, length = 11)
    private String merchantId;

    @Column(name = "CONTENT_ID", nullable = false, updatable = false, length = 11)
    private String contentId;

    @Column(name = "CONTENT", nullable = false, updatable = false)
    private String content;

    @Override
    public String getPersistentKey() {
        return null;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getClientId() {
        return clientId;
    }

    public void setClientId(long clientId) {
        this.clientId = clientId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getContentId() {
        return contentId;
    }

    public void setContentId(String contentId) {
        this.contentId = contentId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
